Bulk update tasks
curl --request POST \
--url https://api.whirl.sh/api/v1/tasks/bulk-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskIds": [
"<string>"
],
"addAssigneeUserIds": [
"<string>"
],
"removeAssigneeUserIds": [
"<string>"
],
"addTags": [
"<string>"
],
"removeTags": [
"<string>"
],
"priority": 0,
"dueDate": "2023-12-25",
"status": "<string>",
"expectedStatus": "<string>"
}
'import requests
url = "https://api.whirl.sh/api/v1/tasks/bulk-update"
payload = {
"taskIds": ["<string>"],
"addAssigneeUserIds": ["<string>"],
"removeAssigneeUserIds": ["<string>"],
"addTags": ["<string>"],
"removeTags": ["<string>"],
"priority": 0,
"dueDate": "2023-12-25",
"status": "<string>",
"expectedStatus": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskIds: ['<string>'],
addAssigneeUserIds: ['<string>'],
removeAssigneeUserIds: ['<string>'],
addTags: ['<string>'],
removeTags: ['<string>'],
priority: 0,
dueDate: '2023-12-25',
status: '<string>',
expectedStatus: '<string>'
})
};
fetch('https://api.whirl.sh/api/v1/tasks/bulk-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whirl.sh/api/v1/tasks/bulk-update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'taskIds' => [
'<string>'
],
'addAssigneeUserIds' => [
'<string>'
],
'removeAssigneeUserIds' => [
'<string>'
],
'addTags' => [
'<string>'
],
'removeTags' => [
'<string>'
],
'priority' => 0,
'dueDate' => '2023-12-25',
'status' => '<string>',
'expectedStatus' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whirl.sh/api/v1/tasks/bulk-update"
payload := strings.NewReader("{\n \"taskIds\": [\n \"<string>\"\n ],\n \"addAssigneeUserIds\": [\n \"<string>\"\n ],\n \"removeAssigneeUserIds\": [\n \"<string>\"\n ],\n \"addTags\": [\n \"<string>\"\n ],\n \"removeTags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"dueDate\": \"2023-12-25\",\n \"status\": \"<string>\",\n \"expectedStatus\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whirl.sh/api/v1/tasks/bulk-update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"taskIds\": [\n \"<string>\"\n ],\n \"addAssigneeUserIds\": [\n \"<string>\"\n ],\n \"removeAssigneeUserIds\": [\n \"<string>\"\n ],\n \"addTags\": [\n \"<string>\"\n ],\n \"removeTags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"dueDate\": \"2023-12-25\",\n \"status\": \"<string>\",\n \"expectedStatus\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whirl.sh/api/v1/tasks/bulk-update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"taskIds\": [\n \"<string>\"\n ],\n \"addAssigneeUserIds\": [\n \"<string>\"\n ],\n \"removeAssigneeUserIds\": [\n \"<string>\"\n ],\n \"addTags\": [\n \"<string>\"\n ],\n \"removeTags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"dueDate\": \"2023-12-25\",\n \"status\": \"<string>\",\n \"expectedStatus\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"taskId": "<string>",
"success": true,
"error": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Tasks
Bulk update tasks
Change the assignees, tags, priority, deadline or status of up to 50 tasks at once.
POST
/
tasks
/
bulk-update
Bulk update tasks
curl --request POST \
--url https://api.whirl.sh/api/v1/tasks/bulk-update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"taskIds": [
"<string>"
],
"addAssigneeUserIds": [
"<string>"
],
"removeAssigneeUserIds": [
"<string>"
],
"addTags": [
"<string>"
],
"removeTags": [
"<string>"
],
"priority": 0,
"dueDate": "2023-12-25",
"status": "<string>",
"expectedStatus": "<string>"
}
'import requests
url = "https://api.whirl.sh/api/v1/tasks/bulk-update"
payload = {
"taskIds": ["<string>"],
"addAssigneeUserIds": ["<string>"],
"removeAssigneeUserIds": ["<string>"],
"addTags": ["<string>"],
"removeTags": ["<string>"],
"priority": 0,
"dueDate": "2023-12-25",
"status": "<string>",
"expectedStatus": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
taskIds: ['<string>'],
addAssigneeUserIds: ['<string>'],
removeAssigneeUserIds: ['<string>'],
addTags: ['<string>'],
removeTags: ['<string>'],
priority: 0,
dueDate: '2023-12-25',
status: '<string>',
expectedStatus: '<string>'
})
};
fetch('https://api.whirl.sh/api/v1/tasks/bulk-update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.whirl.sh/api/v1/tasks/bulk-update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'taskIds' => [
'<string>'
],
'addAssigneeUserIds' => [
'<string>'
],
'removeAssigneeUserIds' => [
'<string>'
],
'addTags' => [
'<string>'
],
'removeTags' => [
'<string>'
],
'priority' => 0,
'dueDate' => '2023-12-25',
'status' => '<string>',
'expectedStatus' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.whirl.sh/api/v1/tasks/bulk-update"
payload := strings.NewReader("{\n \"taskIds\": [\n \"<string>\"\n ],\n \"addAssigneeUserIds\": [\n \"<string>\"\n ],\n \"removeAssigneeUserIds\": [\n \"<string>\"\n ],\n \"addTags\": [\n \"<string>\"\n ],\n \"removeTags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"dueDate\": \"2023-12-25\",\n \"status\": \"<string>\",\n \"expectedStatus\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.whirl.sh/api/v1/tasks/bulk-update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"taskIds\": [\n \"<string>\"\n ],\n \"addAssigneeUserIds\": [\n \"<string>\"\n ],\n \"removeAssigneeUserIds\": [\n \"<string>\"\n ],\n \"addTags\": [\n \"<string>\"\n ],\n \"removeTags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"dueDate\": \"2023-12-25\",\n \"status\": \"<string>\",\n \"expectedStatus\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.whirl.sh/api/v1/tasks/bulk-update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"taskIds\": [\n \"<string>\"\n ],\n \"addAssigneeUserIds\": [\n \"<string>\"\n ],\n \"removeAssigneeUserIds\": [\n \"<string>\"\n ],\n \"addTags\": [\n \"<string>\"\n ],\n \"removeTags\": [\n \"<string>\"\n ],\n \"priority\": 0,\n \"dueDate\": \"2023-12-25\",\n \"status\": \"<string>\",\n \"expectedStatus\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"results": [
{
"taskId": "<string>",
"success": true,
"error": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}{
"title": "<string>",
"status": 123,
"code": "<string>",
"type": "<string>",
"detail": "<string>"
}Authorizations
Scopes
Body
application/json
ISO date (2026-10-01) or date-time with offset (2026-10-01T09:00:00+02:00); null clears it.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$
